/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2004 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Definition of the Template struct.,
 * and public interface.
 */

#ifndef _TEMPLATE_H
#define _TEMPLATE_H

#include <SDL.h>

#include <GL/gl.h>

/* Template constants */
#define MAX_TPL 10

/*
 * The template.
 */
typedef struct _Template {
  /* Variables */
  int var;

} Template;

/*
 * Constructor.
 */
Template *template_new(void);

/*
 * Destructor.
 */
int template_destroy(Template *template);

/*
 * Access.
 */
#define template_var(template) ((template)->var)

/*
 * Settings.
 */
#define template_set_var(template, v) ((template)->var = v)

/*
 * Init template.
 */
int template_init(Template *template);


#endif /* _TEMPLATE_H */
